clear Mesh;
Mesh.Coordinates = [0 0; 1 0; 0.5 sqrt(3)/2];
Mesh.Elements = [1 2 3];
Mesh = add_Edges(Mesh);
GHandle = @(x,varargin) x(:,1).^2 - x(:,2).^2;
pp = 5e-3;
Loc = get_BdEdges(Mesh);
Mesh.BdFlags = zeros(size(Mesh.Edges,1),1);
Mesh.BdFlags(Loc) = -1;

fprintf('\n##STIMA_Penal_LFE');
Vertices = Mesh.Coordinates;
bdflag = [1 0 0];
STIMA_Penal_LFE(Vertices,pp,bdflag)

fprintf('\n##assem_Penal_LFE');
Mesh = refine_REG(Mesh);
assem_Penal_LFE(Mesh,pp)

fprintf('\n##solve_Penal_DirPrb');
solve_Penal_DirPrb(Mesh,GHandle,pp)