clear Mesh;

Mesh.Coordinates = [0 0; 1 0; 0.5 sqrt(3)/2];
Mesh.Elements = [1 2 3];

Mesh = add_Edges(Mesh);
Loc = get_BdEdges(Mesh);
Mesh.BdFlags = zeros(size(Mesh.Edges,1),1);
Mesh.BdFlags(Loc) = -1;
Mesh.ElemFlag = ones(size(Mesh.Elements,1),1);
Mesh = add_Edge2Elem(Mesh);
Mesh = refine_REG(Mesh);
Mesh = refine_REG(Mesh);

F = @(x) exp(x(:,1).^2+x(:,2).^2);

fprintf('\n##get_Vertex_Region_Areas');
areas = get_Vertex_Region_Areas(Mesh)

u = F(Mesh.Coordinates);
fprintf('\n##avg_gradient');
ug = avg_gradient(Mesh,u)