#!/bin/bash 

# Holger Heumann et al
# dieses skript erzeugt ein tar-file sol.tar 
# und druckt alle py-files und eps-files 

ZIP=/tmp/mysolution.zip
#RESOURCES=/home/exam/resources
RESULTS=/var/lib/exam/student/results
WORKDIR=./tempdir
TEMPLOG=/tmp/zip2pdf-log.txt

rm -rf $WORKDIR
mkdir $WORKDIR
rm "$ZIP"
zip -r "$ZIP" ./Problem*

# Hostname for matching students and print-outs
hname=$(hostname)
echo "PDF creator"
echo "Type your first name (A-Z, a-z):"
read STUDENTVORNAME
echo "Type your last name (A-Z, a-z):"
read STUDENTNACHNAME
echo "Type your Legi number (no underscore: _ ):"
read LEGI

IMHO=$WORKDIR/000-IMHO-000.txt
echo "Hostname:   " $(hostname) > $IMHO
echo "First name: " $STUDENTVORNAME >> $IMHO
echo "Last name:  " $STUDENTNACHNAME >> $IMHO
echo "Legi:       " $LEGI >> $IMHO

echo "PLEASE WAIT..."
./zp.sh $WORKDIR "$ZIP" GAUSS $(hostname) > $TEMPLOG 2>&1
mv $TEMPLOG $WORKDIR

pdf2ps $WORKDIR/*.pdf $WORKDIR/print.ps
xdg-open $WORKDIR/*.ps

cp $WORKDIR/*.pdf .
